View Issue Details

IDProjectCategoryView StatusLast Update
0018450LazarusWidgetsetpublic2011-01-24 13:39
ReporterTomasz WieckowskiAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0018450: TSpinEdit - problem with drawing
DescriptionSometimes when first use of TSpinEdit I see some mess on it. This problem I only can see on Win32.
Screenshot attached.
TagsNo tags attached.
Fixed in Revision29005
LazTarget1.0
WidgetsetWin32/Win64
Attached Files
  • scr1.png (23,699 bytes)
    scr1.png (23,699 bytes)
  • testTS.zip (128,316 bytes)
  • spin_updown_order.patch (687 bytes)
    Index: lcl/interfaces/win32/win32wsspin.pp
    ===================================================================
    --- lcl/interfaces/win32/win32wsspin.pp	(revision 29003)
    +++ lcl/interfaces/win32/win32wsspin.pp	(working copy)
    @@ -305,7 +305,7 @@
       UpDownWidth := R.Right - R.Left;
     
       DWP := BeginDeferWindowPos(2);
    -  DeferWindowPos(DWP, WinHandle, 0, Left, Top, Width - UpDownWidth + 2, Height, SWP_NOZORDER or SWP_NOACTIVATE);
    +  DeferWindowPos(DWP, WinHandle, UpDown, Left, Top, Width - UpDownWidth + 2, Height, SWP_NOACTIVATE);
       DeferWindowPos(DWP, UpDown, 0, Left + Width - UpDownWidth, Top, UpDownWidth, Height, SWP_NOZORDER or SWP_NOACTIVATE);
       EndDeferWindowPos(DWP);
     
    

Activities

2011-01-09 15:07

 

scr1.png (23,699 bytes)
scr1.png (23,699 bytes)

2011-01-11 23:28

 

testTS.zip (128,316 bytes)

Tomasz Wieckowski

2011-01-11 23:28

reporter   ~0045127

This bug occurs when such popup box appears above it.
I've attached sample project. Click on ComboBox and hide dropdown list.

2011-01-14 11:57

 

spin_updown_order.patch (687 bytes)
Index: lcl/interfaces/win32/win32wsspin.pp
===================================================================
--- lcl/interfaces/win32/win32wsspin.pp	(revision 29003)
+++ lcl/interfaces/win32/win32wsspin.pp	(working copy)
@@ -305,7 +305,7 @@
   UpDownWidth := R.Right - R.Left;
 
   DWP := BeginDeferWindowPos(2);
-  DeferWindowPos(DWP, WinHandle, 0, Left, Top, Width - UpDownWidth + 2, Height, SWP_NOZORDER or SWP_NOACTIVATE);
+  DeferWindowPos(DWP, WinHandle, UpDown, Left, Top, Width - UpDownWidth + 2, Height, SWP_NOACTIVATE);
   DeferWindowPos(DWP, UpDown, 0, Left + Width - UpDownWidth, Top, UpDownWidth, Height, SWP_NOZORDER or SWP_NOACTIVATE);
   EndDeferWindowPos(DWP);
 

Tomasz Wieckowski

2011-01-14 11:57

reporter   ~0045167

Patch uploaded for fix the bug.

Paul Ishenin

2011-01-14 15:17

manager   ~0045176

Thanks, applied.

Issue History

Date Modified Username Field Change
2011-01-09 15:07 Tomasz Wieckowski New Issue
2011-01-09 15:07 Tomasz Wieckowski File Added: scr1.png
2011-01-09 15:07 Tomasz Wieckowski Widgetset => Win32/Win64
2011-01-10 10:53 Vincent Snijders LazTarget => 1.0
2011-01-10 10:53 Vincent Snijders Status new => acknowledged
2011-01-10 10:53 Vincent Snijders Target Version => 1.0.0
2011-01-11 23:28 Tomasz Wieckowski File Added: testTS.zip
2011-01-11 23:28 Tomasz Wieckowski Note Added: 0045127
2011-01-14 11:57 Tomasz Wieckowski File Added: spin_updown_order.patch
2011-01-14 11:57 Tomasz Wieckowski Note Added: 0045167
2011-01-14 15:17 Paul Ishenin Fixed in Revision => 29005
2011-01-14 15:17 Paul Ishenin Status acknowledged => resolved
2011-01-14 15:17 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-14 15:17 Paul Ishenin Resolution open => fixed
2011-01-14 15:17 Paul Ishenin Assigned To => Paul Ishenin
2011-01-14 15:17 Paul Ishenin Note Added: 0045176
2011-01-14 17:33 Tomasz Wieckowski Status resolved => closed
2011-01-24 13:39 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)